#pragma once

#include <deque>

#include <nlite_common\define.h>


#include "namespace_start.h"
#include "unit_test.h"
class CCookie{
	friend Void UnitTest();
private:
	U16String domein;				//ドメイン
	U16String name;				//クッキー名
	U16String cookieValue;		//クッキーの値


	//
	//セッター
	//
public:
	Void SetDomein(const U16String &domein);

	Void SetName(const U16String &name);

	Void SetCookieValue(const U16String &cookieValue);

	//
	//ゲッター
	//
public:

	const U16String &GetDomein()const;

	const U16String &GetName()const;

	const U16String &GetCookieValue()const;

};


///
///クッキーリスト定義
///
typedef std::deque<CCookie> CookieList;

#include "namespace_end.h"